---
title: LockedFile.mode
slug: Web/API/LockedFile/mode
tags:
  - API
  - Files
  - Non Standard
  - Property
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>mode</code> property provides the read/write status of the {{domxref("LockedFile")}} file.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var mode = <em>instanceOfLockedFile</em>.mode
</pre>

<h2 id="Value">Value</h2>

<p>A string, one of <code>readonly</code> or <code>readwrite</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft Proposal.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("LockedFile")}}</li>
</ul>
